- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GNet::Lock Class Reference

A private implementation class used by GNet::Select to lock data structures in the face of reentrancy. More...

## Public Member Functions
| Lock (EventHandlerList &list)
| ~Lock ()

## Public Attributes
EventHandlerList & | m_list

## Detailed Description

A private implementation class used by GNet::Select to lock data structures in the face of reentrancy.

Definition at line 104 of file geventloop_unix.cpp.

## Constructor & Destructor Documentation

GNet::Lock::Lock | ( | EventHandlerList & | list | ) |
| explicit

Definition at line 118 of file geventloop_unix.cpp.

References GNet::EventHandlerList::lock(), and m_list.

GNet::Lock::~Lock | ( |  | ) |

Definition at line 124 of file geventloop_unix.cpp.

## Member Data Documentation

EventHandlerList& GNet::Lock::m_list

Definition at line 107 of file geventloop_unix.cpp.

Referenced by Lock().

The documentation for this class was generated from the following file:

- geventloop_unix.cpp